/* --- Banner --- */

.product-banner {
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 50vh;
	background: url("/image/home/productionBanner_0001.jpg") no-repeat center / cover;
}

/* 黑色遮罩 */
.product-banner::before {
	content: "";
	position: absolute;
	inset: 0;
	background: rgba(0, 0, 0, 0.5);
}

.product-banner h1 {
	position: relative; /* 浮在 ::before 遮罩之上 */
	font-size: 3rem;
	color: var(--color-white);
}

/* --- 創新方案 --- */

.innovation-description {
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: 0.5rem;
}

@media (max-width: 62rem) {
	.innovation-description {
		margin: 2rem 0 0 0;
	}
}

.innovation-description h3,
.innovation-description h4 {
	color: var(--color-main);
}

.innovation-description .sub-title > i.bi {
	font-size: 1.75rem;
	color: var(--color-accent);
}

/* --- 關鍵亮點 & 核心優勢背景圖 --- */

.section-bg {
	background: url("/image/bg-img/bg_content.png") no-repeat center / cover;
	min-height: 135rem;
}

/* --- 關鍵亮點 --- */

@media (max-width: 48rem) {
	.highlights-list {
		display: flex;
		justify-content: center;
		gap: 1rem;
	}
}

.highlights-list .card {
	padding: 2rem;
	height: 100%;
	background-color: var(--color-white);
	border-radius: 2rem;
}

@media (min-width: 48rem) and (max-width: 75rem) {
	.highlights-list .card {
		padding: 1.5rem;
	}
}

.highlights-list .card > .sub-title {
	margin-bottom: 1rem;
	text-align: center;
}

.highlights-list .sub-title > i.bi {
	font-size: 3rem;
	color: var(--color-accent);
}

.highlights-list .sub-title > h4 {
	color: var(--color-main);
}

/* --- 核心優勢 --- */

.advantage-list > li {
	display: flex;
	flex-direction: column;
}

.advantage-list .sub-title {
	display: flex;
	align-items: center;
	gap: 0.5rem;
	margin-bottom: 1.25rem;
	color: var(--color-sub);
}

.advantage-list .sub-title > i.bi {
	font-size: 1.75rem;
}

/* --- 技術功能 --- */

.function-list .card > .card-header {
	padding: 1rem;
	background-color: #0b355d;
	color: var(--color-white);
	text-align: center;
}

/* 讓列表內容撐滿剩餘空間 */
.function-list .card > .card-body {
	display: flex;
	flex-direction: column;
}

.function-list .list-items {
	flex: 1; /* 讓列表內容撐滿剩餘空間 */
	margin-left: 1rem;
	list-style-type: disc;
}

.function-list .list-items ::marker,
.function-list .list-items h6 {
	font-size: inherit;
	color: #0056b3;
}

.function-list .list-items h6 {
	margin-bottom: 0.5rem;
}

/* --- 行動呼籲 --- */

.cta-section {
	background-color: aliceblue;
}

.cta-content {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 1.5rem;
	margin: 0 auto;
	padding: 3rem;
	background: rgba(255, 255, 255, 0.95);
	border: 1px solid var(--color-lightGray);
	text-align: center;
	transition: all 0.3s ease;
}

.cta-content:hover {
	transform: translateY(-5px);
}

.cta-content > .badge {
	padding: 0.5rem 1rem;
	background: var(--color-gradient-1);
}

.cta-content > p {
	white-space: pre-line; /* 保留換行 */
}
